Bilibili: Search
Search from Bilibili as JSON. 1 credit per successful call.
GET /v1/bilibili/searchNeeds terms
Note
This endpoint needs the restricted-endpoint terms, which you can accept in your dashboard.
Parameters
Send parameters in the query string.
| Parameter | Type | Required | Allowed values |
|---|---|---|---|
search_type | string | Required | video, bili_user, media_bangumi, media_ft, article, live, live_user, live_room |
keyword | string | Required | Up to 191 characters |
page | integer | Optional | Any |
order | string | Optional | totalrank, click, pubdate, scores, stow, dm, pw |
duration | integer | Optional | Any |
tids | integer | Optional | Any |
Example request
curl "https://api.perceptlayer.com/v1/bilibili/search" \
-H "X-API-Key: $API_KEY"